Subject: Adding budget

From: "Rick Snodgrass" <rts>
Date: Mon, 5 Apr 1993 09:57:50 MST

The justification stated for adding budget is that it allows comparable
time-varying attributes in different relation schemes.

The present schema has this already, in that Dept is a time-varying attribute
of Mgr (a person can manage different departments at different
times) and Dept is also a time-varying attribute of Emp (an employee can
be in different departments at different times).

The one advantage that Budget does have is that its domain is a metric,
and thus admits aggregates and inequality comparisons. I'm ambivalent
about whether this justifies yet another attribute. Perhaps others
feel more strongly one way or the other. It seems that unless others
argue against this proposal, we should go for it, since it is advocated
by Abdullah.